import { RenderTask, PDFPageProxy } from '../../pdfjs';
import { RenderView } from '../rendering';
import { CanvasPage } from './canvas-page';
import { LayersPage } from './layers-page';
import { PageUpdate, PageOptions } from './types';
export declare class Page extends RenderView {
    readonly options: PageOptions;
    private previousRotation?;
    private optionalContentConfigPromise?;
    private pageLabel?;
    private isEditing;
    readonly annotationCanvasMap?: Map<string, HTMLCanvasElement>;
    readonly canvasPage: CanvasPage;
    readonly layersPage: LayersPage;
    constructor(options: PageOptions);
    get width(): number;
    get height(): number;
    get canvas(): HTMLCanvasElement | undefined;
    setPdfPage(pdfPage: PDFPageProxy): void;
    protected updateDimensions(): void;
    reset(keepLayer?: boolean): void;
    hasEditableAnnotations(): boolean;
    toggleEditingMode(isEditing: boolean): void;
    private updateOptionalContentConfigPromise;
    update(params: PageUpdate): void;
    private process;
    cancelRendering(keepLayer?: boolean, cancelExtraDelay?: number): void;
    getPagePoint(x: number, y: number): any[];
    protected render(): Promise<import('pdfjs-dist/types/src/display/api').RenderTask>;
    protected finishRenderTask(renderTask: RenderTask, error?: any): Promise<void>;
    setPageLabel(label?: string): void;
}
